Bug 878915 - CVE-2012-5533 lighttpd: Denial of Service via malformed Connection headers [epel-all]
CVE-2012-5533 lighttpd: Denial of Service via malformed Connection headers [e...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: lighttpd (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5533
  Show dependency treegraph
 
Reported: 2012-11-21 09:23 EST by Jan Lieskovsky
Modified: 2013-09-10 13:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: lighttpd-1.4.32-1.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 18:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lighttpd-1.4.32-1.el6.src.rpm (735.15 KB, application/x-rpm)
2013-03-20 18:03 EDT, Dethlef Madsen
no flags Details
rpm-build (162.04 KB, text/plain)
2013-03-20 18:05 EDT, Dethlef Madsen
no flags Details
rpm-root (64.08 KB, text/plain)
2013-03-20 18:06 EDT, Dethlef Madsen
no flags Details
New spec file for 1.4.32 (22.11 KB, text/x-matlab)
2013-08-22 13:46 EDT, Anssi Johansson
no flags Details
Updated mod_geoip patch for 1.4.32 (6.55 KB, patch)
2013-08-22 13:47 EDT, Anssi Johansson
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-11-21 09:23:47 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-21 09:23:57 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=878213,878915
Comment 2 Vincent Danen 2013-02-21 21:47:13 EST
Ping?  All that is required is a rebase to 1.4.32 to correct this issue.
Comment 3 Dethlef Madsen 2013-03-20 18:03:34 EDT
Created attachment 713491 [details]
lighttpd-1.4.32-1.el6.src.rpm
Comment 4 Dethlef Madsen 2013-03-20 18:05:38 EDT
Created attachment 713502 [details]
rpm-build
Comment 5 Dethlef Madsen 2013-03-20 18:06:11 EDT
Created attachment 713503 [details]
rpm-root
Comment 6 Dethlef Madsen 2013-03-20 18:10:08 EDT
Hello,

we use lighttpd in a produktion environment, so I build an new src.rpm. The maintener semms to be offline for a long time now.

It's build against CentOS 6.4 and epel and works well on our RHEL 6 servers.

Not tested on Fedora and RHEL 5.

May be somebody will take over the rpm - I'm not a maintener.

I just changed the release to 1.4.32 and adjusted the mod_geoip  patch.

I hope this helps.


Thanks and BR
Comment 7 Andras Kemeny 2013-08-07 09:46:54 EDT
any news regarding 1.4.32 upstreamed for public release? it's been 8 months since the official version came out, and EPEL still offers only the hole-y 1.4.31. official package maintainer, anyone?
Comment 8 Anssi Johansson 2013-08-22 13:46:26 EDT
Created attachment 789282 [details]
New spec file for 1.4.32
Comment 9 Anssi Johansson 2013-08-22 13:47:19 EDT
Created attachment 789285 [details]
Updated mod_geoip patch for 1.4.32
Comment 10 Anssi Johansson 2013-08-22 13:52:09 EDT
This would really need to get fixed. I built my own 1.4.32 rpms when I grew tired of waiting. Although an updated srpm was already attached above, I'm attaching my own spec file and an updated mod_geoip patch, in case they're easier to work with. http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-1.4.32.tar.bz2 is also needed for building the new rpms.
Comment 11 Jon Ciesla 2013-08-26 09:18:20 EDT
Working on this.
Comment 12 Fedora Update System 2013-08-26 09:34:06 EDT
lighttpd-1.4.32-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lighttpd-1.4.32-1.el6
Comment 13 Fedora Update System 2013-08-26 09:34:25 EDT
lighttpd-1.4.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lighttpd-1.4.32-1.fc19
Comment 14 Fedora Update System 2013-08-26 09:34:43 EDT
lighttpd-1.4.32-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lighttpd-1.4.32-1.el5
Comment 15 Fedora Update System 2013-08-26 09:34:58 EDT
lighttpd-1.4.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lighttpd-1.4.32-1.fc18
Comment 16 Fedora Update System 2013-08-26 12:49:17 EDT
Package lighttpd-1.4.32-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lighttpd-1.4.32-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11336/lighttpd-1.4.32-1.el5
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-09-03 18:29:23 EDT
lighttpd-1.4.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-03 18:31:19 EDT
lighttpd-1.4.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-04 14:27:17 EDT
lighttpd-1.4.32-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-09-10 13:39:19 EDT
lighttpd-1.4.32-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.